Bug 191905 - xorg-x11-drv-ark Missing BuildRequire on xorg-x11-proto-devel & Strange %{ix86} ExclusiveArch
Summary: xorg-x11-drv-ark Missing BuildRequire on xorg-x11-proto-devel & Strange %{ix8...
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ark   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: X/OpenGL Maintenance List
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: FC6Target BuildReqBlocker
TreeView+ depends on / blocked
 
Reported: 2006-05-16 12:39 UTC by Andreas Thienemann
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-06-01 15:21:35 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch, adding the missing buildreqs (351 bytes, patch)
2006-05-16 12:39 UTC, Andreas Thienemann
no flags Details | Diff

Description Andreas Thienemann 2006-05-16 12:39:38 UTC
Package won't build in mock:

checking for XORG... configure: error: Package requirements (xorg-server >=
1.0.99.901 xproto  randrproto inputproto) were not met:

No package 'xproto' found
No package 'randrproto' found
No package 'inputproto' found

Consider adjusting the PKG_CONFIG_PATH environment variable if you
installed software in a non-standard prefix.

Alternatively, you may set the environment variables XORG_CFLAGS
and XORG_LIBS to avoid the need to call pkg-config.
See the pkg-config man page for more details.

error: Bad exit status from /var/tmp/rpm-tmp.94546 (%build)



Attached is a patch, adding the BuildRequires line.

Furthermore, the ExclusiveArch: %{ix86} makes the Package not being built on
x86_64. Is this intentional?

Comment 1 Andreas Thienemann 2006-05-16 12:39:38 UTC
Created attachment 129183 [details]
Patch, adding the missing buildreqs

Comment 2 Mike A. Harris 2006-05-16 17:46:24 UTC
Adding to FC6Target

The ExclusiveArch in each driver package is intentional, and prevents drivers
from being built on architectures they are unsupported on, non-functional on,
or untested/experimental.


Comment 3 Adam Jackson 2006-06-01 15:21:35 UTC
fixed in rawhide.


Note You need to log in before you can comment on or make changes to this bug.